const std = @import("std");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    const lore = b.addExecutable(.{
        .name = "lore",
        .root_source_file = .{ .path = "src/main.zig" },
        .target = target,
        .optimize = optimize,
    });

    const noclip_dep = b.dependency("noclip", .{});
    const cmark_dep = b.dependency("cmark", .{});

    lore.addModule("noclip", noclip_dep.module("noclip"));
    lore.addModule("cmark", cmark_dep.module("cmark"));
    lore.linkLibrary(cmark_dep.artifact("cmark-c"));

    b.installArtifact(lore);
}
